Retry a failed delivery
curl --request POST \
--url https://api.example.com/exo-api/webhook-deliveries/{delivery}/retryimport requests
url = "https://api.example.com/exo-api/webhook-deliveries/{delivery}/retry"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/exo-api/webhook-deliveries/{delivery}/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Webhooks
Retry a failed delivery
Queues a manual retry for a failed webhook delivery.
POST
/
exo-api
/
webhook-deliveries
/
{delivery}
/
retry
Retry a failed delivery
Queues a manual retry for a failed webhook delivery. Only the subscription owner or an admin can retry.
Path parameters
integer
required
The failed webhook delivery ID.
Request
curl -X POST \
-H "Authorization: Bearer YOUR_TOKEN" \
https://your-app.com/exo-api/webhook-deliveries/123/retry
Response
Returns the queued retry delivery with a201 Created status.
Example response:
{
"id": 456,
"event_id": 88,
"subscription_id": 12,
"parent_delivery_id": 123,
"root_delivery_id": 123,
"trigger_kind": "manual",
"status": "pending",
"attempt": 0,
"max_attempts": 3,
"url": "https://example.com/webhook-receiver"
}
Errors
| Status | Description |
|---|---|
403 | You do not own this delivery and are not an admin |
422 | Delivery is not failed, related records are missing, or manual retry limit reached |
⌘I